<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="dir">
    <name>/home/daniel/kdelibs-3.5.0/kjs/</name>
    <path>/home/daniel/kdelibs-3.5.0/kjs/</path>
    <filename>dir_000000.html</filename>
    <file>array_instance.h</file>
    <file>array_object.cpp</file>
    <file>array_object.h</file>
    <file>bool_object.cpp</file>
    <file>bool_object.h</file>
    <file>collector.cpp</file>
    <file>collector.h</file>
    <file>completion.h</file>
    <file>context.h</file>
    <file>date_object.cpp</file>
    <file>date_object.h</file>
    <file>debugger.cpp</file>
    <file>debugger.h</file>
    <file>dtoa.cpp</file>
    <file>dtoa.h</file>
    <file>error_object.cpp</file>
    <file>error_object.h</file>
    <file>function.cpp</file>
    <file>function.h</file>
    <file>function_object.cpp</file>
    <file>function_object.h</file>
    <file>grammar.cpp</file>
    <file>grammar.h</file>
    <file>identifier.cpp</file>
    <file>identifier.h</file>
    <file>internal.cpp</file>
    <file>internal.h</file>
    <file>interpreter.cpp</file>
    <file>interpreter.h</file>
    <file>lexer.cpp</file>
    <file>lexer.h</file>
    <file>list.cpp</file>
    <file>list.h</file>
    <file>lookup.cpp</file>
    <file>lookup.h</file>
    <file>math_object.cpp</file>
    <file>math_object.h</file>
    <file>nodes.cpp</file>
    <file>nodes.h</file>
    <file>nodes2string.cpp</file>
    <file>number_object.cpp</file>
    <file>number_object.h</file>
    <file>object.cpp</file>
    <file>object.h</file>
    <file>object_object.cpp</file>
    <file>object_object.h</file>
    <file>operations.cpp</file>
    <file>operations.h</file>
    <file>property_map.cpp</file>
    <file>property_map.h</file>
    <file>reference.cpp</file>
    <file>reference.h</file>
    <file>reference_list.cpp</file>
    <file>reference_list.h</file>
    <file>regexp.cpp</file>
    <file>regexp.h</file>
    <file>regexp_object.cpp</file>
    <file>regexp_object.h</file>
    <file>scope_chain.cpp</file>
    <file>scope_chain.h</file>
    <file>simple_number.h</file>
    <file>string_object.cpp</file>
    <file>string_object.h</file>
    <file>testkjs.cpp</file>
    <file>types.h</file>
    <file>ustring.cpp</file>
    <file>ustring.h</file>
    <file>value.cpp</file>
    <file>value.h</file>
  </compound>
  <compound kind="class">
    <name>KJS::Collector</name>
    <filename>classKJS_1_1Collector.html</filename>
    <member kind="function" static="yes">
      <type>static void *</type>
      <name>allocate</name>
      <anchorfile>classKJS_1_1Collector.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(size_t s)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>collect</name>
      <anchorfile>classKJS_1_1Collector.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>size</name>
      <anchorfile>classKJS_1_1Collector.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>outOfMemory</name>
      <anchorfile>classKJS_1_1Collector.html</anchorfile>
      <anchor>e3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Completion</name>
    <filename>classKJS_1_1Completion.html</filename>
    <base>KJS::Value</base>
    <member kind="function">
      <type></type>
      <name>Completion</name>
      <anchorfile>classKJS_1_1Completion.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(ComplType c=Normal, const Value &amp;v=Value(), const Identifier &amp;t=Identifier::null())</arglist>
    </member>
    <member kind="function">
      <type>ComplType</type>
      <name>complType</name>
      <anchorfile>classKJS_1_1Completion.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>value</name>
      <anchorfile>classKJS_1_1Completion.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Identifier</type>
      <name>target</name>
      <anchorfile>classKJS_1_1Completion.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValueCompletion</name>
      <anchorfile>classKJS_1_1Completion.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ContextImp</name>
    <filename>classKJS_1_1ContextImp.html</filename>
    <member kind="function">
      <type></type>
      <name>ContextImp</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Object &amp;glob, InterpreterImp *interpreter, Object &amp;thisV, int _sourceId, CodeType type=GlobalCode, ContextImp *callingContext=0L, FunctionImp *func=0L, const List *args=0)</arglist>
    </member>
    <member kind="function">
      <type>const ScopeChain &amp;</type>
      <name>scopeChain</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>CodeType</type>
      <name>codeType</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>variableObject</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVariableObject</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const Object &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>thisValue</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ContextImp *</type>
      <name>callingContext</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ObjectImp *</type>
      <name>activationObject</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>FunctionImp *</type>
      <name>function</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const List *</type>
      <name>arguments</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pushScope</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(const Object &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>popScope</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>LabelStack *</type>
      <name>seenLabels</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>mark</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pushTryCatch</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>popTryCatch</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inTryCatch</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLines</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(int l0, int l1)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Context</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>StatementNode</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::InternalFunctionImp</name>
    <filename>classKJS_1_1InternalFunctionImp.html</filename>
    <member kind="function">
      <type></type>
      <name>InternalFunctionImp</name>
      <anchorfile>classKJS_1_1InternalFunctionImp.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(FunctionPrototypeImp *funcProto)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>InternalFunctionImp</name>
      <anchorfile>classKJS_1_1InternalFunctionImp.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(ExecState *exec)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>implementsHasInstance</name>
      <anchorfile>classKJS_1_1InternalFunctionImp.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Boolean</type>
      <name>hasInstance</name>
      <anchorfile>classKJS_1_1InternalFunctionImp.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(ExecState *exec, const Value &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const ClassInfo *</type>
      <name>classInfo</name>
      <anchorfile>classKJS_1_1InternalFunctionImp.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Identifier</type>
      <name>name</name>
      <anchorfile>classKJS_1_1InternalFunctionImp.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKJS_1_1InternalFunctionImp.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(Identifier _ident)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const ClassInfo</type>
      <name>info</name>
      <anchorfile>classKJS_1_1InternalFunctionImp.html</anchorfile>
      <anchor>s0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Identifier</type>
      <name>ident</name>
      <anchorfile>classKJS_1_1InternalFunctionImp.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::FunctionPrototypeImp</name>
    <filename>classKJS_1_1FunctionPrototypeImp.html</filename>
    <base>KJS::InternalFunctionImp</base>
    <member kind="function">
      <type></type>
      <name>FunctionPrototypeImp</name>
      <anchorfile>classKJS_1_1FunctionPrototypeImp.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(ExecState *exec)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>implementsCall</name>
      <anchorfile>classKJS_1_1FunctionPrototypeImp.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Value</type>
      <name>call</name>
      <anchorfile>classKJS_1_1FunctionPrototypeImp.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(ExecState *exec, Object &amp;thisObj, const List &amp;args)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Identifier</name>
    <filename>classKJS_1_1Identifier.html</filename>
    <member kind="function">
      <type></type>
      <name>Identifier</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Identifier</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const char *s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Identifier</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const UChar *s, int length)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Identifier</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const UString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>const UString &amp;</type>
      <name>ustring</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DOM::DOMString</type>
      <name>string</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>qstring</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const UChar *</type>
      <name>data</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>ascii</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>toULong</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(bool *ok) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned</type>
      <name>toStrictUInt32</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(bool *ok) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned</type>
      <name>toArrayIndex</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(bool *ok) const </arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>toDouble</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Identifier</type>
      <name>from</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(unsigned y)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const Identifier &amp;</type>
      <name>null</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>remove</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>(UString::Rep *)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PropertyMap</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend bool</type>
      <name>operator==</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>n1</anchor>
      <arglist>(const Identifier &amp;, const Identifier &amp;)</arglist>
    </member>
    <member kind="friend">
      <type>friend bool</type>
      <name>operator!=</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>n2</anchor>
      <arglist>(const Identifier &amp;, const Identifier &amp;)</arglist>
    </member>
    <member kind="friend">
      <type>friend bool</type>
      <name>operator==</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>n3</anchor>
      <arglist>(const Identifier &amp;, const char *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::LabelStack</name>
    <filename>classKJS_1_1LabelStack.html</filename>
    <member kind="function">
      <type></type>
      <name>LabelStack</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const LabelStack &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>LabelStack &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const LabelStack &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>push</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const Identifier &amp;id)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>contains</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const Identifier &amp;id) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pop</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pushIteration</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>popIteration</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inIteration</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pushSwitch</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>popSwitch</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inSwitch</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::FunctionImp</name>
    <filename>classKJS_1_1FunctionImp.html</filename>
    <base>KJS::InternalFunctionImp</base>
    <member kind="function">
      <type></type>
      <name>FunctionImp</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;n=Identifier::null())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Value</type>
      <name>get</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>put</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName, const Value &amp;value, int attr=None)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>hasProperty</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>deleteProperty</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>implementsCall</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Value</type>
      <name>call</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(ExecState *exec, Object &amp;thisObj, const List &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addParameter</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const Identifier &amp;n)</arglist>
    </member>
    <member kind="function">
      <type>Identifier</type>
      <name>parameterProperty</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(int index) const </arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>parameterString</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CodeType</type>
      <name>codeType</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Completion</type>
      <name>execute</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(ExecState *exec)=0</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>firstLine</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>lastLine</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>sourceId</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const ClassInfo *</type>
      <name>classInfo</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const ClassInfo</type>
      <name>info</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>s0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Parameter *</type>
      <name>param</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>line0</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>line1</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>sid</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ActivationImp</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Context</name>
    <filename>classKJS_1_1Context.html</filename>
    <member kind="function">
      <type></type>
      <name>Context</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(ContextImp *i)</arglist>
    </member>
    <member kind="function">
      <type>ContextImp *</type>
      <name>imp</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const ScopeChain &amp;</type>
      <name>scopeChain</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>variableObject</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>thisValue</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const Context</type>
      <name>callingContext</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>CodeType</type>
      <name>codeType</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>sourceId</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>curStmtFirstLine</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>curStmtLastLine</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>function</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Identifier</type>
      <name>functionName</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>List</type>
      <name>args</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Interpreter</name>
    <filename>classKJS_1_1Interpreter.html</filename>
    <member kind="function">
      <type></type>
      <name>Interpreter</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const Object &amp;global)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Interpreter</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Object &amp;</type>
      <name>globalObject</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>initGlobalObject</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ExecState *</type>
      <name>globalExec</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkSyntax</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const UString &amp;code, int *errLine, UString *errMsg)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkSyntax</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const UString &amp;code)</arglist>
    </member>
    <member kind="function">
      <type>Completion</type>
      <name>evaluate</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const UString &amp;code, const Value &amp;thisV=Value())</arglist>
    </member>
    <member kind="function">
      <type>InterpreterImp *</type>
      <name>imp</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinObject</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinFunction</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinArray</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinBoolean</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinString</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinNumber</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinDate</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinRegExp</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinError</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinObjectPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinFunctionPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinArrayPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinBooleanPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinStringPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinNumberPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinDatePrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinRegExpPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinErrorPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinEvalError</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinRangeError</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a29</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinReferenceError</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a30</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinSyntaxError</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a31</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinTypeError</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a32</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinURIError</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a33</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinEvalErrorPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a34</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinRangeErrorPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a35</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinReferenceErrorPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a36</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinSyntaxErrorPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a37</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinTypeErrorPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a38</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinURIErrorPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a39</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCompatMode</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a40</anchor>
      <arglist>(CompatMode mode)</arglist>
    </member>
    <member kind="function">
      <type>CompatMode</type>
      <name>compatMode</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a41</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>mark</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a42</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>rtti</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a43</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>lock</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>unlock</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>collect</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ExecState</name>
    <filename>classKJS_1_1ExecState.html</filename>
    <member kind="function">
      <type>Interpreter *</type>
      <name>dynamicInterpreter</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Interpreter *</type>
      <name>interpreter</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Interpreter *</type>
      <name>lexicalInterpreter</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Context</type>
      <name>context</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setException</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const Value &amp;e)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearException</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>exception</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hadException</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>requestTerminate</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static bool(*</type>
      <name>confirmTerminate</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>s0</anchor>
      <arglist>)()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>InterpreterImp</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FunctionImp</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>GlobalFuncImp</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>n2</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>TryNode</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>n3</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>VarDeclNode</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>n4</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FuncDeclNode</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>n5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::List</name>
    <filename>classKJS_1_1List.html</filename>
    <member kind="function">
      <type></type>
      <name>List</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(bool needsMarking)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>List</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const List &amp;b)</arglist>
    </member>
    <member kind="function">
      <type>List &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const List &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const Value &amp;val)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(ValueImp *val)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>List</type>
      <name>copy</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>List</type>
      <name>copyTail</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ListIterator</type>
      <name>begin</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ListIterator</type>
      <name>end</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>at</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(int i) const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>operator[]</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(int i) const </arglist>
    </member>
    <member kind="function">
      <type>ValueImp *</type>
      <name>impAt</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(int i) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>mark</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const List &amp;</type>
      <name>empty</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ListIterator</name>
    <filename>classKJS_1_1ListIterator.html</filename>
    <member kind="function">
      <type></type>
      <name>ListIterator</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const List &amp;l)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ListIterator</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const List &amp;l, int index)</arglist>
    </member>
    <member kind="function">
      <type>ValueImp *</type>
      <name>operator-&gt;</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>operator *</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>operator++</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>operator++</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>operator--</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>operator--</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const ListIterator &amp;it) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const ListIterator &amp;it) const </arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KJS::HashEntry</name>
    <filename>structKJS_1_1HashEntry.html</filename>
    <member kind="variable">
      <type>unsigned short</type>
      <name>soffset</name>
      <anchorfile>structKJS_1_1HashEntry.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short int</type>
      <name>value</name>
      <anchorfile>structKJS_1_1HashEntry.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned char</type>
      <name>attr</name>
      <anchorfile>structKJS_1_1HashEntry.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned char</type>
      <name>params</name>
      <anchorfile>structKJS_1_1HashEntry.html</anchorfile>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>next</name>
      <anchorfile>structKJS_1_1HashEntry.html</anchorfile>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KJS::HashTable</name>
    <filename>structKJS_1_1HashTable.html</filename>
    <member kind="variable">
      <type>int</type>
      <name>type</name>
      <anchorfile>structKJS_1_1HashTable.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>size</name>
      <anchorfile>structKJS_1_1HashTable.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const HashEntry *const</type>
      <name>entries</name>
      <anchorfile>structKJS_1_1HashTable.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>hashSize</name>
      <anchorfile>structKJS_1_1HashTable.html</anchorfile>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const char *const</type>
      <name>sbase</name>
      <anchorfile>structKJS_1_1HashTable.html</anchorfile>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Lookup</name>
    <filename>classKJS_1_1Lookup.html</filename>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>find</name>
      <anchorfile>classKJS_1_1Lookup.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const struct HashTable *table, const Identifier &amp;s)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>find</name>
      <anchorfile>classKJS_1_1Lookup.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(const struct HashTable *table, const UChar *c, unsigned int len)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const HashEntry *</type>
      <name>findEntry</name>
      <anchorfile>classKJS_1_1Lookup.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>(const struct HashTable *table, const Identifier &amp;s)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const HashEntry *</type>
      <name>findEntry</name>
      <anchorfile>classKJS_1_1Lookup.html</anchorfile>
      <anchor>e3</anchor>
      <arglist>(const struct HashTable *table, const UChar *c, unsigned int len)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static unsigned int</type>
      <name>hash</name>
      <anchorfile>classKJS_1_1Lookup.html</anchorfile>
      <anchor>e4</anchor>
      <arglist>(const Identifier &amp;key)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static unsigned int</type>
      <name>hash</name>
      <anchorfile>classKJS_1_1Lookup.html</anchorfile>
      <anchor>e5</anchor>
      <arglist>(const UChar *c, unsigned int len)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static unsigned int</type>
      <name>hash</name>
      <anchorfile>classKJS_1_1Lookup.html</anchorfile>
      <anchor>e6</anchor>
      <arglist>(const char *s)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::BinaryLogicalNode</name>
    <filename>classKJS_1_1BinaryLogicalNode.html</filename>
    <member kind="function">
      <type></type>
      <name>BinaryLogicalNode</name>
      <anchorfile>classKJS_1_1BinaryLogicalNode.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Node *e1, Operator o, Node *e2)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ref</name>
      <anchorfile>classKJS_1_1BinaryLogicalNode.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>deref</name>
      <anchorfile>classKJS_1_1BinaryLogicalNode.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Value</type>
      <name>evaluate</name>
      <anchorfile>classKJS_1_1BinaryLogicalNode.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>streamTo</name>
      <anchorfile>classKJS_1_1BinaryLogicalNode.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(SourceStream &amp;s) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ConditionalNode</name>
    <filename>classKJS_1_1ConditionalNode.html</filename>
    <member kind="function">
      <type></type>
      <name>ConditionalNode</name>
      <anchorfile>classKJS_1_1ConditionalNode.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Node *l, Node *e1, Node *e2)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ref</name>
      <anchorfile>classKJS_1_1ConditionalNode.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>deref</name>
      <anchorfile>classKJS_1_1ConditionalNode.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Value</type>
      <name>evaluate</name>
      <anchorfile>classKJS_1_1ConditionalNode.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>streamTo</name>
      <anchorfile>classKJS_1_1ConditionalNode.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(SourceStream &amp;s) const </arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KJS::ClassInfo</name>
    <filename>structKJS_1_1ClassInfo.html</filename>
    <member kind="variable">
      <type>const char *</type>
      <name>className</name>
      <anchorfile>structKJS_1_1ClassInfo.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const ClassInfo *</type>
      <name>parentClass</name>
      <anchorfile>structKJS_1_1ClassInfo.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const HashTable *</type>
      <name>propHashTable</name>
      <anchorfile>structKJS_1_1ClassInfo.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>void *</type>
      <name>dummy</name>
      <anchorfile>structKJS_1_1ClassInfo.html</anchorfile>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Object</name>
    <filename>classKJS_1_1Object.html</filename>
    <base>KJS::Value</base>
    <member kind="function">
      <type></type>
      <name>Object</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(ObjectImp *v)</arglist>
    </member>
    <member kind="function">
      <type>ObjectImp *</type>
      <name>imp</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const ClassInfo *</type>
      <name>classInfo</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inherits</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const ClassInfo *cinfo) const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>prototype</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>className</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>get</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName) const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>get</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(ExecState *exec, unsigned propertyName) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>put</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName, const Value &amp;value, int attr=None)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>put</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(ExecState *exec, unsigned propertyName, const Value &amp;value, int attr=None)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canPut</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasProperty</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasProperty</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(ExecState *exec, unsigned propertyName) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>deleteProperty</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>deleteProperty</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(ExecState *exec, unsigned propertyName)</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>defaultValue</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(ExecState *exec, Type hint) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>implementsConstruct</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>construct</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(ExecState *exec, const List &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>implementsCall</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>call</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>(ExecState *exec, Object &amp;thisObj, const List &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>implementsHasInstance</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Boolean</type>
      <name>hasInstance</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>(ExecState *exec, const Value &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>const ScopeChain &amp;</type>
      <name>scope</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setScope</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>(const ScopeChain &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>ReferenceList</type>
      <name>propList</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>(ExecState *exec, bool recursive=true)</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>internalValue</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInternalValue</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Object</type>
      <name>dynamicCast</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Error</name>
    <filename>classKJS_1_1Error.html</filename>
    <member kind="function" static="yes">
      <type>static Object</type>
      <name>create</name>
      <anchorfile>classKJS_1_1Error.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(ExecState *exec, ErrorType errtype=GeneralError, const char *message=0, int lineno=-1, int sourceId=-1)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const char *const *const</type>
      <name>errorNames</name>
      <anchorfile>classKJS_1_1Error.html</anchorfile>
      <anchor>s0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::SavedProperties</name>
    <filename>classKJS_1_1SavedProperties.html</filename>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PropertyMap</name>
      <anchorfile>classKJS_1_1SavedProperties.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KJS::PropertyMapHashTableEntry</name>
    <filename>structKJS_1_1PropertyMapHashTableEntry.html</filename>
    <member kind="variable">
      <type>UString::Rep *</type>
      <name>key</name>
      <anchorfile>structKJS_1_1PropertyMapHashTableEntry.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ValueImp *</type>
      <name>value</name>
      <anchorfile>structKJS_1_1PropertyMapHashTableEntry.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>attributes</name>
      <anchorfile>structKJS_1_1PropertyMapHashTableEntry.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::PropertyMap</name>
    <filename>classKJS_1_1PropertyMap.html</filename>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKJS_1_1PropertyMap.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>put</name>
      <anchorfile>classKJS_1_1PropertyMap.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const Identifier &amp;name, ValueImp *value, int attributes)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>remove</name>
      <anchorfile>classKJS_1_1PropertyMap.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const Identifier &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>ValueImp *</type>
      <name>get</name>
      <anchorfile>classKJS_1_1PropertyMap.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const Identifier &amp;name) const </arglist>
    </member>
    <member kind="function">
      <type>ValueImp *</type>
      <name>get</name>
      <anchorfile>classKJS_1_1PropertyMap.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const Identifier &amp;name, int &amp;attributes) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>mark</name>
      <anchorfile>classKJS_1_1PropertyMap.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addEnumerablesToReferenceList</name>
      <anchorfile>classKJS_1_1PropertyMap.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(ReferenceList &amp;, const Object &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSparseArrayPropertiesToReferenceList</name>
      <anchorfile>classKJS_1_1PropertyMap.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(ReferenceList &amp;, const Object &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKJS_1_1PropertyMap.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(SavedProperties &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restore</name>
      <anchorfile>classKJS_1_1PropertyMap.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(const SavedProperties &amp;p)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Reference</name>
    <filename>classKJS_1_1Reference.html</filename>
    <base>KJS::Value</base>
    <member kind="function">
      <type></type>
      <name>Reference</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const Object &amp;b, const Identifier &amp;p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Reference</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const Object &amp;b, unsigned p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Reference</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(ObjectImp *b, const Identifier &amp;p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Reference</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(ObjectImp *b, unsigned p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Reference</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const Null &amp;b, const Identifier &amp;p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Reference</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const Null &amp;b, unsigned p)</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>getBase</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>Identifier</type>
      <name>getPropertyName</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>getValue</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>putValue</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(ExecState *exec, const Value &amp;w)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>deleteValue</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(ExecState *exec)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMutable</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Reference</type>
      <name>makeValueReference</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ReferenceList</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ReferenceListIterator</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ReferenceListIterator</name>
    <filename>classKJS_1_1ReferenceListIterator.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classKJS_1_1ReferenceListIterator.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const ReferenceListIterator &amp;it) const </arglist>
    </member>
    <member kind="function">
      <type>const Reference *</type>
      <name>operator-&gt;</name>
      <anchorfile>classKJS_1_1ReferenceListIterator.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const Reference &amp;</type>
      <name>operator++</name>
      <anchorfile>classKJS_1_1ReferenceListIterator.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ReferenceList</name>
      <anchorfile>classKJS_1_1ReferenceListIterator.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ReferenceList</name>
    <filename>classKJS_1_1ReferenceList.html</filename>
    <member kind="function">
      <type></type>
      <name>ReferenceList</name>
      <anchorfile>classKJS_1_1ReferenceList.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const ReferenceList &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>ReferenceList &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1ReferenceList.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const ReferenceList &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classKJS_1_1ReferenceList.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const Reference &amp;val)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>length</name>
      <anchorfile>classKJS_1_1ReferenceList.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ReferenceListIterator</type>
      <name>begin</name>
      <anchorfile>classKJS_1_1ReferenceList.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ReferenceListIterator</type>
      <name>end</name>
      <anchorfile>classKJS_1_1ReferenceList.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ScopeChainNode</name>
    <filename>classKJS_1_1ScopeChainNode.html</filename>
    <member kind="function">
      <type></type>
      <name>ScopeChainNode</name>
      <anchorfile>classKJS_1_1ScopeChainNode.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(ScopeChainNode *n, ObjectImp *o)</arglist>
    </member>
    <member kind="variable">
      <type>ScopeChainNode *</type>
      <name>next</name>
      <anchorfile>classKJS_1_1ScopeChainNode.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ObjectImp *</type>
      <name>object</name>
      <anchorfile>classKJS_1_1ScopeChainNode.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>refCount</name>
      <anchorfile>classKJS_1_1ScopeChainNode.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ScopeChain</name>
    <filename>classKJS_1_1ScopeChain.html</filename>
    <member kind="function">
      <type></type>
      <name>ScopeChain</name>
      <anchorfile>classKJS_1_1ScopeChain.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const ScopeChain &amp;c)</arglist>
    </member>
    <member kind="function">
      <type>ScopeChain &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1ScopeChain.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const ScopeChain &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKJS_1_1ScopeChain.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ObjectImp *</type>
      <name>top</name>
      <anchorfile>classKJS_1_1ScopeChain.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ObjectImp *</type>
      <name>bottom</name>
      <anchorfile>classKJS_1_1ScopeChain.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKJS_1_1ScopeChain.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>push</name>
      <anchorfile>classKJS_1_1ScopeChain.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(ObjectImp *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pop</name>
      <anchorfile>classKJS_1_1ScopeChain.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>mark</name>
      <anchorfile>classKJS_1_1ScopeChain.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KJS::UChar</name>
    <filename>structKJS_1_1UChar.html</filename>
    <member kind="function">
      <type></type>
      <name>UChar</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UChar</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(char u)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UChar</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(unsigned char u)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UChar</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(unsigned char h, unsigned char l)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UChar</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(unsigned short u)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UChar</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const UCharReference &amp;c)</arglist>
    </member>
    <member kind="function">
      <type>unsigned char</type>
      <name>high</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned char</type>
      <name>low</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned short</type>
      <name>unicode</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>UChar</type>
      <name>toLower</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>UChar</type>
      <name>toUpper</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable">
      <type>unsigned short</type>
      <name>uc</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static UChar</type>
      <name>null</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>s0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::UCharReference</name>
    <filename>classKJS_1_1UCharReference.html</filename>
    <member kind="function">
      <type>UCharReference &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(UChar c)</arglist>
    </member>
    <member kind="function">
      <type>UCharReference &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(char c)</arglist>
    </member>
    <member kind="function">
      <type>unsigned short</type>
      <name>unicode</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned char</type>
      <name>low</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned char</type>
      <name>high</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>UChar</type>
      <name>toLower</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>UChar</type>
      <name>toUpper</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::CString</name>
    <filename>classKJS_1_1CString.html</filename>
    <member kind="function">
      <type></type>
      <name>CString</name>
      <anchorfile>classKJS_1_1CString.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const char *c)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CString</name>
      <anchorfile>classKJS_1_1CString.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const char *c, int len)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CString</name>
      <anchorfile>classKJS_1_1CString.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const CString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>CString &amp;</type>
      <name>append</name>
      <anchorfile>classKJS_1_1CString.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const CString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>CString &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1CString.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const char *c)</arglist>
    </member>
    <member kind="function">
      <type>CString &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1CString.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const CString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>CString &amp;</type>
      <name>operator+=</name>
      <anchorfile>classKJS_1_1CString.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const CString &amp;c)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>classKJS_1_1CString.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>c_str</name>
      <anchorfile>classKJS_1_1CString.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::UString</name>
    <filename>classKJS_1_1UString.html</filename>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(char c)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const char *c)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const UChar *c, int length)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(UChar *c, int length, bool copy)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const UString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const DOM::DOMString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const UString &amp;, const UString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>UString &amp;</type>
      <name>append</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const UString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>CString</type>
      <name>cstring</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>ascii</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DOM::DOMString</type>
      <name>string</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>qstring</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QConstString</type>
      <name>qconststring</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>UString &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(const char *c)</arglist>
    </member>
    <member kind="function">
      <type>UString &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(const UString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>UString &amp;</type>
      <name>operator+=</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(const UString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>const UChar *</type>
      <name>data</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is8Bit</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>UChar</type>
      <name>operator[]</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>(int pos) const </arglist>
    </member>
    <member kind="function">
      <type>UCharReference</type>
      <name>operator[]</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>(int pos)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>toDouble</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>(bool tolerateTrailingJunk, bool tolerateEmptyString) const </arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>toDouble</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>(bool tolerateTrailingJunk) const </arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>toDouble</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>toULong</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a29</anchor>
      <arglist>(bool *ok, bool tolerateEmptyString) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>toULong</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a30</anchor>
      <arglist>(bool *ok=0) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>toUInt32</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a31</anchor>
      <arglist>(bool *ok=0) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>toStrictUInt32</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a32</anchor>
      <arglist>(bool *ok=0) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned</type>
      <name>toArrayIndex</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a33</anchor>
      <arglist>(bool *ok=0) const </arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>toLower</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a34</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>toUpper</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a35</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>find</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a36</anchor>
      <arglist>(const UString &amp;f, int pos=0) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>find</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a37</anchor>
      <arglist>(UChar, int pos=0) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rfind</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a38</anchor>
      <arglist>(const UString &amp;f, int pos) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rfind</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a39</anchor>
      <arglist>(UChar, int pos) const </arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>substr</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a40</anchor>
      <arglist>(int pos=0, int len=-1) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static UString</type>
      <name>from</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static UString</type>
      <name>from</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(unsigned int u)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static UString</type>
      <name>from</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>(long l)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static UString</type>
      <name>from</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>e3</anchor>
      <arglist>(double d)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static UString</type>
      <name>null</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>s0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>UCharReference</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Identifier</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PropertyMap</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>n2</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PropertyMapHashTableEntry</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>n3</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend bool</type>
      <name>operator==</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>n4</anchor>
      <arglist>(const UString &amp;, const UString &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ValueImp</name>
    <filename>classKJS_1_1ValueImp.html</filename>
    <member kind="function">
      <type>ValueImp *</type>
      <name>ref</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>deref</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>mark</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marked</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>operator new</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(size_t)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator delete</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(void *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGcAllowed</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGcAllowedFast</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>toInteger</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>toInt32</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>toUInt32</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned short</type>
      <name>toUInt16</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>Type</type>
      <name>dispatchType</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>dispatchToPrimitive</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(ExecState *exec, Type preferredType=UnspecifiedType) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>dispatchToBoolean</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>dispatchToNumber</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>dispatchToString</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>dispatchToUInt32</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(unsigned &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>dispatchToObject</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDestroyed</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable">
      <type>unsigned short int</type>
      <name>refcount</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Collector</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Value</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ContextImp</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>n2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Value</name>
    <filename>classKJS_1_1Value.html</filename>
    <member kind="function">
      <type></type>
      <name>Value</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(ValueImp *v)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Value</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>Value &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ValueImp *</type>
      <name>imp</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Type</type>
      <name>type</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isA</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(Type t) const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>toPrimitive</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(ExecState *exec, Type preferredType=UnspecifiedType) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>toBoolean</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>toNumber</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>toInteger</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>toInt32</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>toUInt32</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned short</type>
      <name>toUInt16</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>toString</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>toObject</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>toUInt32</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(unsigned &amp;i) const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ValueImp *</type>
      <name>rep</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Undefined</name>
    <filename>classKJS_1_1Undefined.html</filename>
    <base>KJS::Value</base>
    <member kind="function" static="yes">
      <type>static Undefined</type>
      <name>dynamicCast</name>
      <anchorfile>classKJS_1_1Undefined.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>UndefinedImp</name>
      <anchorfile>classKJS_1_1Undefined.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Null</name>
    <filename>classKJS_1_1Null.html</filename>
    <base>KJS::Value</base>
    <member kind="function" static="yes">
      <type>static Null</type>
      <name>dynamicCast</name>
      <anchorfile>classKJS_1_1Null.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>NullImp</name>
      <anchorfile>classKJS_1_1Null.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Boolean</name>
    <filename>classKJS_1_1Boolean.html</filename>
    <base>KJS::Value</base>
    <member kind="function">
      <type></type>
      <name>Boolean</name>
      <anchorfile>classKJS_1_1Boolean.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(bool b=false)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>value</name>
      <anchorfile>classKJS_1_1Boolean.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Boolean</type>
      <name>dynamicCast</name>
      <anchorfile>classKJS_1_1Boolean.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>BooleanImp</name>
      <anchorfile>classKJS_1_1Boolean.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::String</name>
    <filename>classKJS_1_1String.html</filename>
    <base>KJS::Value</base>
    <member kind="function">
      <type></type>
      <name>String</name>
      <anchorfile>classKJS_1_1String.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const UString &amp;s=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>value</name>
      <anchorfile>classKJS_1_1String.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static String</type>
      <name>dynamicCast</name>
      <anchorfile>classKJS_1_1String.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>StringImp</name>
      <anchorfile>classKJS_1_1String.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Number</name>
    <filename>classKJS_1_1Number.html</filename>
    <base>KJS::Value</base>
    <member kind="function">
      <type></type>
      <name>Number</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Number</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(unsigned int u)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Number</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(double d=0.0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Number</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(long int l)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Number</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(long unsigned int l)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>value</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>intValue</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNaN</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isInf</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Number</type>
      <name>dynamicCast</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ValueImp</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>NumberImp</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
