<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>KBuildImageIOFactory</name>
    <filename>classKBuildImageIOFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>KBuildImageIOFactory</name>
      <anchorfile>classKBuildImageIOFactory.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveHeader</name>
      <anchorfile>classKBuildImageIOFactory.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(QDataStream &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKBuildImageIOFactory.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(QDataStream &amp;str)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KSycocaEntry *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildImageIOFactory.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;, const char *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KSycocaEntry *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildImageIOFactory.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addEntry</name>
      <anchorfile>classKBuildImageIOFactory.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(KSycocaEntry *newEntry, const char *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>resourceTypes</name>
      <anchorfile>classKBuildImageIOFactory.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBuildProtocolInfoFactory</name>
    <filename>classKBuildProtocolInfoFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>KBuildProtocolInfoFactory</name>
      <anchorfile>classKBuildProtocolInfoFactory.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KProtocolInfo *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildProtocolInfoFactory.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;, const char *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KProtocolInfo *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildProtocolInfoFactory.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addEntry</name>
      <anchorfile>classKBuildProtocolInfoFactory.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(KSycocaEntry *newEntry, const char *resource)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>resourceTypes</name>
      <anchorfile>classKBuildProtocolInfoFactory.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBuildServiceFactory</name>
    <filename>classKBuildServiceFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>KBuildServiceFactory</name>
      <anchorfile>classKBuildServiceFactory.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KSycocaFactory *serviceTypeFactory, KBuildServiceGroupFactory *serviceGroupFactory)</arglist>
    </member>
    <member kind="function">
      <type>KService *</type>
      <name>findServiceByName</name>
      <anchorfile>classKBuildServiceFactory.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;_name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KSycocaEntry *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildServiceFactory.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;file, const char *resource)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KService *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildServiceFactory.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addEntry</name>
      <anchorfile>classKBuildServiceFactory.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(KSycocaEntry *newEntry, const char *resource)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKBuildServiceFactory.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(QDataStream &amp;str)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveHeader</name>
      <anchorfile>classKBuildServiceFactory.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(QDataStream &amp;str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>resourceTypes</name>
      <anchorfile>classKBuildServiceFactory.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBuildServiceGroupFactory</name>
    <filename>classKBuildServiceGroupFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>KBuildServiceGroupFactory</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KServiceGroup *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;, const char *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KServiceGroup *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addNewEntryTo</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;menuName, KService *newEntry)</arglist>
    </member>
    <member kind="function">
      <type>KServiceGroup *</type>
      <name>addNewChild</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;parent, const char *resource, KSycocaEntry *newEntry)</arglist>
    </member>
    <member kind="function">
      <type>KServiceGroup *</type>
      <name>addNew</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;menuName, const QString &amp;file, KServiceGroup *entry, bool isDeleted)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addEntry</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(KSycocaEntry *newEntry, const char *resource)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(QDataStream &amp;str)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveHeader</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(QDataStream &amp;str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>resourceTypes</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBuildServiceTypeFactory</name>
    <filename>classKBuildServiceTypeFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>KBuildServiceTypeFactory</name>
      <anchorfile>classKBuildServiceTypeFactory.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KServiceType *</type>
      <name>findServiceTypeByName</name>
      <anchorfile>classKBuildServiceTypeFactory.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;_name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KSycocaEntry *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildServiceTypeFactory.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;file, const char *resource)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KServiceType *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildServiceTypeFactory.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addEntry</name>
      <anchorfile>classKBuildServiceTypeFactory.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(KSycocaEntry *newEntry, const char *resource)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKBuildServiceTypeFactory.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(QDataStream &amp;str)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveHeader</name>
      <anchorfile>classKBuildServiceTypeFactory.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(QDataStream &amp;str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>resourceTypes</name>
      <anchorfile>classKBuildServiceTypeFactory.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCTimeInfo</name>
    <filename>classKCTimeInfo.html</filename>
    <member kind="function">
      <type></type>
      <name>KCTimeInfo</name>
      <anchorfile>classKCTimeInfo.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveHeader</name>
      <anchorfile>classKCTimeInfo.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(QDataStream &amp;str)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKCTimeInfo.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(QDataStream &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>KSycocaEntry *</type>
      <name>createEntry</name>
      <anchorfile>classKCTimeInfo.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;, const char *)</arglist>
    </member>
    <member kind="function">
      <type>KSycocaEntry *</type>
      <name>createEntry</name>
      <anchorfile>classKCTimeInfo.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addCTime</name>
      <anchorfile>classKCTimeInfo.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;path, Q_UINT32 ctime)</arglist>
    </member>
    <member kind="function">
      <type>Q_UINT32</type>
      <name>ctime</name>
      <anchorfile>classKCTimeInfo.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;path)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fillCTimeDict</name>
      <anchorfile>classKCTimeInfo.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(QDict&lt; Q_UINT32 &gt; &amp;dict)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QDict&lt; Q_UINT32 &gt;</type>
      <name>ctimeDict</name>
      <anchorfile>classKCTimeInfo.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_dictOffset</name>
      <anchorfile>classKCTimeInfo.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDEDModule</name>
    <filename>classKDEDModule.html</filename>
    <base>QObject</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>idle</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>moduleDeleted</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(KDEDModule *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>windowRegistered</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(long windowId)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>windowUnregistered</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(long windowId)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDEDModule</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QCString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIdleTimeout</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(int secs)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resetIdle</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;key, KShared *obj)</arglist>
    </member>
    <member kind="function">
      <type>KShared *</type>
      <name>find</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>remove</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeAll</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QCString &amp;app)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isWindowRegistered</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(long windowId)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Kded</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/home/daniel/kdelibs-3.5.0/kded/</name>
    <path>/home/daniel/kdelibs-3.5.0/kded/</path>
    <filename>dir_000000.html</filename>
    <file>kbuildimageiofactory.cpp</file>
    <file>kbuildimageiofactory.h</file>
    <file>kbuildprotocolinfofactory.cpp</file>
    <file>kbuildprotocolinfofactory.h</file>
    <file>kbuildservicefactory.cpp</file>
    <file>kbuildservicefactory.h</file>
    <file>kbuildservicegroupfactory.cpp</file>
    <file>kbuildservicegroupfactory.h</file>
    <file>kbuildservicetypefactory.cpp</file>
    <file>kbuildservicetypefactory.h</file>
    <file>kbuildsycoca.cpp</file>
    <file>kbuildsycoca.h</file>
    <file>kctimefactory.cpp</file>
    <file>kctimefactory.h</file>
    <file>kde-menu.cpp</file>
    <file>kded.cpp</file>
    <file>kded.h</file>
    <file>kdedmodule.cpp</file>
    <file>kdedmodule.h</file>
    <file>khostname.cpp</file>
    <file>kresourcelist.h</file>
    <file>vfolder_menu.cpp</file>
    <file>vfolder_menu.h</file>
  </compound>
</tagfile>
