<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>ASpellDict</name>
    <filename>classASpellDict.html</filename>
    <base>KSpell2::Dictionary</base>
    <member kind="function">
      <type></type>
      <name>ASpellDict</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;lang)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>check</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>suggest</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>checkAndSuggest</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;word, QStringList &amp;suggestions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>storeReplacement</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;bad, const QString &amp;good)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToPersonal</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToSession</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>HSpellDict</name>
    <filename>classHSpellDict.html</filename>
    <base>KSpell2::Dictionary</base>
    <member kind="function">
      <type></type>
      <name>HSpellDict</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;lang)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>check</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>suggest</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>checkAndSuggest</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;word, QStringList &amp;suggestions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>storeReplacement</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;bad, const QString &amp;good)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToPersonal</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToSession</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/home/daniel/kdelibs-3.5.0/kspell2/plugins/aspell/</name>
    <path>/home/daniel/kdelibs-3.5.0/kspell2/plugins/aspell/</path>
    <filename>dir_000004.html</filename>
    <file>kspell_aspellclient.cpp</file>
    <file>kspell_aspellclient.h</file>
    <file>kspell_aspelldict.cpp</file>
    <file>kspell_aspelldict.h</file>
  </compound>
  <compound kind="dir">
    <name>/home/daniel/kdelibs-3.5.0/kspell2/plugins/hspell/</name>
    <path>/home/daniel/kdelibs-3.5.0/kspell2/plugins/hspell/</path>
    <filename>dir_000005.html</filename>
    <file>kspell_hspellclient.cpp</file>
    <file>kspell_hspellclient.h</file>
    <file>kspell_hspelldict.cpp</file>
    <file>kspell_hspelldict.h</file>
  </compound>
  <compound kind="dir">
    <name>/home/daniel/kdelibs-3.5.0/kspell2/plugins/ispell/</name>
    <path>/home/daniel/kdelibs-3.5.0/kspell2/plugins/ispell/</path>
    <filename>dir_000003.html</filename>
    <file>correct.cpp</file>
    <file>good.cpp</file>
    <file>hash.cpp</file>
    <file>ispell.h</file>
    <file>ispell_checker.cpp</file>
    <file>ispell_checker.h</file>
    <file>ispell_def.h</file>
    <file>kspell_ispellclient.cpp</file>
    <file>kspell_ispellclient.h</file>
    <file>kspell_ispelldict.cpp</file>
    <file>kspell_ispelldict.h</file>
    <file>lookup.cpp</file>
    <file>makedent.cpp</file>
    <file>msgs.h</file>
    <file>sp_spell.h</file>
    <file>tgood.cpp</file>
  </compound>
  <compound kind="dir">
    <name>/home/daniel/kdelibs-3.5.0/kspell2/</name>
    <path>/home/daniel/kdelibs-3.5.0/kspell2/</path>
    <filename>dir_000000.html</filename>
    <dir>/home/daniel/kdelibs-3.5.0/kspell2/plugins/</dir>
    <dir>/home/daniel/kdelibs-3.5.0/kspell2/ui/</dir>
    <file>backgroundchecker.cpp</file>
    <file>backgroundchecker.h</file>
    <file>backgroundengine.cpp</file>
    <file>backgroundengine.h</file>
    <file>backgroundthread.cpp</file>
    <file>backgroundthread.h</file>
    <file>broker.cpp</file>
    <file>broker.h</file>
    <file>client.cpp</file>
    <file>client.h</file>
    <file>defaultdictionary.cpp</file>
    <file>defaultdictionary.h</file>
    <file>dictionary.h</file>
    <file>filter.cpp</file>
    <file>filter.h</file>
    <file>settings.cpp</file>
    <file>settings.h</file>
    <file>threadevents.h</file>
  </compound>
  <compound kind="dir">
    <name>/home/daniel/kdelibs-3.5.0/kspell2/plugins/</name>
    <path>/home/daniel/kdelibs-3.5.0/kspell2/plugins/</path>
    <filename>dir_000002.html</filename>
    <dir>/home/daniel/kdelibs-3.5.0/kspell2/plugins/aspell/</dir>
    <dir>/home/daniel/kdelibs-3.5.0/kspell2/plugins/hspell/</dir>
    <dir>/home/daniel/kdelibs-3.5.0/kspell2/plugins/ispell/</dir>
  </compound>
  <compound kind="dir">
    <name>/home/daniel/kdelibs-3.5.0/kspell2/ui/</name>
    <path>/home/daniel/kdelibs-3.5.0/kspell2/ui/</path>
    <filename>dir_000001.html</filename>
    <file>configdialog.cpp</file>
    <file>configdialog.h</file>
    <file>configwidget.cpp</file>
    <file>configwidget.h</file>
    <file>dialog.cpp</file>
    <file>dialog.h</file>
    <file>highlighter.cpp</file>
    <file>highlighter.h</file>
  </compound>
  <compound kind="namespace">
    <name>KSpell2</name>
    <filename>namespaceKSpell2.html</filename>
    <class kind="class">KSpell2::BackgroundChecker</class>
    <class kind="class">KSpell2::Broker</class>
    <class kind="class">KSpell2::Dictionary</class>
    <class kind="struct">KSpell2::Word</class>
    <class kind="class">KSpell2::Filter</class>
    <member kind="variable" static="yes">
      <type>static Word</type>
      <name>endWord</name>
      <anchorfile>namespaceKSpell2.html</anchorfile>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static KStaticDeleter&lt; Filter &gt;</type>
      <name>sd</name>
      <anchorfile>namespaceKSpell2.html</anchorfile>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static Filter *</type>
      <name>defFilter</name>
      <anchorfile>namespaceKSpell2.html</anchorfile>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::BackgroundChecker</name>
    <filename>classKSpell2_1_1BackgroundChecker.html</filename>
    <base>QObject</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setFilter</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(KSpell2::Filter *filter)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>start</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>stop</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>continueChecking</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>misspelling</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;word, int start)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>done</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BackgroundChecker</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const Broker::Ptr &amp;broker, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>checkText</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>Filter *</type>
      <name>filter</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Broker *</type>
      <name>broker</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeLanguage</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;lang)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkWord</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>suggest</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addWord</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotEngineDone</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual QString</type>
      <name>getMoreText</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>finishedCurrentFeed</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Broker</name>
    <filename>classKSpell2_1_1Broker.html</filename>
    <base>QObject</base>
    <member kind="typedef">
      <type>KSharedPtr&lt; Broker &gt;</type>
      <name>Ptr</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configurationChanged</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DefaultDictionary *</type>
      <name>defaultDictionary</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Dictionary *</type>
      <name>dictionary</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;language=QString::null, const QString &amp;client=QString::null) const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>clients</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>languages</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Settings *</type>
      <name>settings</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Broker *</type>
      <name>openBroker</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(KSharedConfig *config=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>Settings</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Dictionary</name>
    <filename>classKSpell2_1_1Dictionary.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>check</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;word)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QStringList</type>
      <name>suggest</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;word)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>checkAndSuggest</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;word, QStringList &amp;suggestions)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>storeReplacement</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;bad, const QString &amp;good)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>addToPersonal</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;word)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>addToSession</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;word)=0</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>language</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDefault</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Dictionary</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(const QString &amp;lang, bool def=false)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_language</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_default</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>Broker</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KSpell2::Word</name>
    <filename>structKSpell2_1_1Word.html</filename>
    <member kind="function">
      <type></type>
      <name>Word</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;w, int st, bool e=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Word</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const Word &amp;other)</arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>word</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint</type>
      <name>start</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>end</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Filter</name>
    <filename>classKSpell2_1_1Filter.html</filename>
    <member kind="function">
      <type>void</type>
      <name>setSettings</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(Settings *)</arglist>
    </member>
    <member kind="function">
      <type>Settings *</type>
      <name>settings</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>atEnd</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBuffer</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;buffer)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>buffer</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restart</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Word</type>
      <name>nextWord</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Word</type>
      <name>previousWord</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Word</type>
      <name>wordAtPosition</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(unsigned int pos) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setCurrentPosition</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>currentPosition</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>replace</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const Word &amp;w, const QString &amp;newWord)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>context</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Filter *</type>
      <name>defaultFilter</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Word</type>
      <name>end</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>trySkipLinks</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>ignore</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(const QString &amp;word) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QChar</type>
      <name>skipToLetter</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(uint &amp;fromPosition) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>shouldBeSkipped</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(bool wordWasUppercase, bool wordWasRunTogether, const QString &amp;foundWord) const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_buffer</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>m_currentPosition</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
